/*
 * This file is part of citygml4j.
 * Copyright (c) 2007 - 2010
 * Institute for Geodesy and Geoinformation Science
 * Technische Universitaet Berlin, Germany
 * http://www.igg.tu-berlin.de/
 *
 * The citygml4j library is free software:
 * you can redistribute it and/or modify it under the terms of the
 * GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library. If not, see 
 * <http://www.gnu.org/licenses/>.
 */
package org.citygml4j.model.gml;

public enum GMLClass {
	UNDEFINED,
	
	// Base
	ABSTRACT_GML,
	ARRAY_ASSOCIATION,
	ASSOCIATION_BY_REP,
	ASSOCIATION_BY_REP_OR_REF,
	META_DATA,
	META_DATA_PROPERTY,
	STRING_OR_REF,

	// BasicTypes
	BOOLEAN_OR_NULL,
	BOOLEAN_OR_NULL_LIST,
	CODE,
	CODE_OR_NULL_LIST,
	COORDINATES,
	DOUBLE_OR_NULL,
	DOUBLE_OR_NULL_LIST,
	INTEGER_OR_NULL,
	INTEGER_OR_NULL_LIST,
	MEASURE,
	MEASURE_OR_NULL_LIST,
	NAME_OR_NULL,
	NULL,

	// Coverage
	COVERAGE_FUNCTION,
	DATA_BLOCK,
	DOMAIN_SET,
	FILE,
	FILE_VALUE_MODEL,
	GRID_FUNCTION,
	INCREMENT_ORDER,
	INDEX_MAP,
	RANGE_PARAMETERS,
	RANGE_SET,
	RECTIFIED_GRID_COVERAGE,
	RECTIFIED_GRID_DOMAIN,
	SEQUENCE_RULE,
	SEQUENCE_RULE_NAMES,

	// Feature
	ABSTRACT_FEATURE,
	ABSTRACT_FEATURE_COLLECTION,
	BOUNDING_SHAPE,
	FEATURE_MEMBER,
	FEATURE_PROPERTY,
	FEATURE_ARRAY_PROPERTY,
	LOCATION_PROPERTY,
	PRIORITY_LOCATION_PROPERTY,

	// Geometry
	GEOMETRY_ARRAY_PROPERTY,
	GEOMETRY_PROPERTY,
	INLINE_GEOMETRY_PROPERTY,
	SRS_REFERENCE_GROUP,

	// Geometry aggregates
	MULTI_CURVE,
	MULTI_CURVE_PROPERTY,
	MULTI_LINE_STRING,
	MULTI_LINE_STRING_PROPERTY,
	MULTI_POINT,
	MULTI_POINT_PROPERTY,
	MULTI_POLYGON,
	MULTI_POLYGON_PROPERTY,
	MULTI_SOLID,
	MULTI_SOLID_PROPERTY,
	MULTI_SURFACE,
	MULTI_SURFACE_PROPERTY,
	
	// Geometry complexes
	COMPOSITE_CURVE,
	COMPOSITE_CURVE_PROPERTY,
	COMPOSITE_SOLID,
	COMPOSITE_SOLID_PROPERTY,
	COMPOSITE_SURFACE,
	COMPOSITE_SURFACE_PROPERTY,
	GEOMETRIC_COMPLEX,
	GEOMETRIC_COMPLEX_PROPERTY,

	// Geometry primitives
	CONTROL_POINT,
	COORD,
	CURVE,
	CURVE_ARRAY_PROPERTY,
	CURVE_INTERPOLATION,
	CURVE_PROPERTY,
	CURVE_SEGMENT_ARRAY_PROPERTY,
	DIRECT_POSITION,
	DIRECT_POSITION_LIST,
	ENVELOPE,
	EXTERIOR,
	GEOMETRIC_POSITION_GROUP,
	GEOMETRIC_PRIMITIVE_PROPERTY,
	INNER_BOUNDARY_IS,
	INTERIOR,
	LINEAR_RING,
	LINEAR_RING_PROPERTY,
	LINE_STRING,
	LINE_STRING_SEGMENT,
	LINE_STRING_SEGMENT_ARRAY_PROPERTY,
	LINE_STRING_PROPERTY,
	ORIENTABLE_CURVE,
	ORIENTABLE_SURFACE,
	OUTER_BOUNDARY_IS,
	POINT,
	POINT_ARRAY_PROPERTY,
	POINT_PROPERTY,
	POINT_REP,
	POLYGON,
	POLYGON_PROPERTY,
	POS_OR_POINT_PROPERTY_OR_POINT_REP,
	POS_OR_POINT_PROPERTY_OR_POINT_REP_OR_COORD,
	RECTANGLE,
	RING,
	SOLID,
	SOLID_PROPERTY,
	SOLID_ARRAY_PROPERTY,
	SURFACE,
	SURFACE_ARRAY_PROPERTY,
	SURFACE_INTERPOLATION,
	SURFACE_PATCH_ARRAY_PROPERTY,
	SURFACE_PROPERTY,
	TIN,
	TRIANGLE,
	TRIANGLE_PATCH_ARRAY_PROPERTY,
	TRIANGULATED_SURFACE,
	VECTOR,
	
	// Grids
	GRID,
	GRID_ENVELOPE,
	GRID_LIMITS,
	RECTIFIED_GRID,

	// Measure
	LENGTH,
	SPEED,

	// ValueObjects
	CATEGORY_EXTENT,
	COMPOSITE_VALUE,
	COUNT_EXTENT,
	GENERIC_VALUE_OBJECT,
	QUANTITY_EXTENT,
	SCALAR_VALUE,
	SCALAR_VALUE_LIST,
	VALUE,
	VALUE_ARRAY,
	VALUE_ARRAY_PROPERTY,
	VALUE_EXTENT,
	VALUE_OBJECT,
	VALUE_PROPERTY	
}
