/*
 * This file is part of citygml4j.
 * Copyright (c) 2007 - 2010
 * Institute for Geodesy and Geoinformation Science
 * Technische Universitaet Berlin, Germany
 * http://www.igg.tu-berlin.de/
 *
 * The citygml4j library is free software:
 * you can redistribute it and/or modify it under the terms of the
 * GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library. If not, see 
 * <http://www.gnu.org/licenses/>.
 */
package org.citygml4j.model.xal;

public enum XALClass {
	UNDEFINED,

	ADDRESS,
	ADDRESS_DETAILS,
	ADDRESS_LATITUDE,
	ADDRESS_LATITUDE_DIRECTION,
	ADDRESS_LINE,
	ADDRESS_LINES,
	ADDRESS_LONGITUDE,
	ADDRESS_LONGITUDE_DIRECTION,
	ADDRESS_IDENTIFIER,
	ADMINISTRATIVE_AREA,
	ADMINISTRATIVE_AREA_NAME,
	BARCODE,
	BUILDING_NAME,
	COUNTRY,
	COUNTRY_NAME,
	COUNTRY_NAME_CODE,
	DEPARTMENT,
	DEPARTMENT_NAME,
	DEPENDENT_LOCALITY,
	DEPENDENT_LOCALITY_NAME,
	DEPENDENT_LOCALITY_NUMBER,
	DEPENDENT_THOROUGHFARE,
	ENDORSEMENT_LINE_CODE,
	FIRM,
	FIRM_NAME,
	LARGE_MAIL_USER,
	LARGE_MAIL_USER_NAME,
	LARGE_MAIL_USER_IDENTIFIER,
	LOCALITY,
	LOCALITY_NAME,
	KEY_LINE_CODE,
	MAIL_STOP,
	MAIL_STOP_NAME,
	MAIL_STOP_NUMBER,
	POSTAL_CODE,
	POSTAL_CODE_NUMBER,
	POSTAL_CODE_NUMBER_EXTENSION,
	POSTAL_SERVICE_ELEMENTS,
	POSTAL_ROUTE,
	POSTAL_ROUTE_NAME,
	POSTAL_ROUTE_NUMBER,
	POST_BOX,
	POST_BOX_NUMBER,
	POST_BOX_NUMBER_EXTENSION,
	POST_BOX_NUMBER_PREFIX,
	POST_BOX_NUMBER_SUFFIX,
	POST_OFFICE,
	POST_OFFICE_NAME,
	POST_OFFICE_NUMBER,
	POST_TOWN,
	POST_TOWN_NAME,
	POST_TOWN_SUFFIX,
	PREMISE,
	PREMISE_LOCATION,
	PREMISE_NAME,
	PREMISE_NUMBER,
	PREMISE_NUMBER_PREFIX,
	PREMISE_NUMBER_RANGE,
	PREMISE_NUMBER_RANGE_FROM,
	PREMISE_NUMBER_RANGE_TO,
	PREMISE_NUMBER_SUFFIX,
	SORTING_CODE,
	SUB_ADMINISTRATIVE_AREA,
	SUB_ADMINISTRATIVE_AREA_NAME,
	SUB_PREMISE,
	SUB_PREMISE_LOCATION,
	SUB_PREMISE_NAME,
	SUB_PREMISE_NUMBER,
	SUB_PREMISE_NUMBER_PREFIX,
	SUB_PREMISE_NUMBER_SUFFIX,
	SUPPLEMENTARY_POSTAL_SERVICE_DATA,
	THOROUGHFARE,
	THOROUGHFARE_LEADING_TYPE,
	THOROUGHFARE_NAME,
	THOROUGHFARE_NUMBER,
	THOROUGHFARE_NUMBER_FROM,
	THOROUGHFARE_NUMBER_FROM_CONTENT,
	THOROUGHFARE_NUMBER_RANGE,
	THOROUGHFARE_NUMBER_OR_RANGE,
	THOROUGHFARE_NUMBER_PREFIX,
	THOROUGHFARE_NUMBER_SUFFIX,
	THOROUGHFARE_NUMBER_TO,
	THOROUGHFARE_NUMBER_TO_CONTENT,
	THOROUGHFARE_PRE_DIRECTION,
	THOROUGHFARE_POST_DIRECTION,
	THOROUGHFARE_TRAILING_TYPE
}
